import{s as Ce,n as Le,o as Te}from"../chunks/scheduler.c57aa7ef.js";import{S as ke,i as qe,g as d,s as r,r as l,A as xe,h as u,f as t,c as n,j as g,u as s,x as ye,k as $,y as G,a as o,v as f,d as i,t as m,w as p}from"../chunks/index.c50cb18e.js";import{D as b}from"../chunks/Docstring.b594fb60.js";import{H as M}from"../chunks/Heading.c7d7e0e7.js";function Ee(he){let c,J,U,K,P,W,A,ve='The <code>AutoPeftModel</code> classes loads the appropriate PEFT model for the task type by automatically inferring it from the configuration file. They are designed to quickly and easily load a PEFT model in a single line of code without having to worry about which exact model class you need or manually loading a <a href="/docs/peft/v0.8.2/en/package_reference/config#peft.PeftConfig">PeftConfig</a>.',X,F,Y,h,w,$e,v,_,ce,R,be=`A wrapper around all the preprocessing steps a user needs to perform in order to load a PEFT model. The kwargs
are passed along to <code>PeftConfig</code> that automatically takes care of filtering the kwargs of the Hub methods and
the config object init.`,Z,y,ee,C,L,te,T,ae,k,q,oe,x,re,E,S,ne,D,le,I,V,se,H,fe,Q,j,ie,z,me,N,O,pe,B,de;return P=new M({props:{title:"AutoPeftModels",local:"autopeftmodels",headingTag:"h1"}}),F=new M({props:{title:"AutoPeftModel",local:"peft.AutoPeftModel",headingTag:"h2"}}),w=new b({props:{name:"class peft.AutoPeftModel",anchor:"peft.AutoPeftModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/peft/blob/v0.8.2/src/peft/auto.py#L138"}}),_=new b({props:{name:"from_pretrained",anchor:"peft.AutoPeftModel.from_pretrained",parameters:[{name:"pretrained_model_name_or_path",val:""},{name:"adapter_name",val:": str = 'default'"},{name:"is_trainable",val:": bool = False"},{name:"config",val:": Optional[PeftConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/peft/blob/v0.8.2/src/peft/auto.py#L58"}}),y=new M({props:{title:"AutoPeftModelForCausalLM",local:"peft.AutoPeftModelForCausalLM",headingTag:"h2"}}),L=new b({props:{name:"class peft.AutoPeftModelForCausalLM",anchor:"peft.AutoPeftModelForCausalLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/peft/blob/v0.8.2/src/peft/auto.py#L143"}}),T=new M({props:{title:"AutoPeftModelForSeq2SeqLM",local:"peft.AutoPeftModelForSeq2SeqLM",headingTag:"h2"}}),q=new b({props:{name:"class peft.AutoPeftModelForSeq2SeqLM",anchor:"peft.AutoPeftModelForSeq2SeqLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/peft/blob/v0.8.2/src/peft/auto.py#L148"}}),x=new M({props:{title:"AutoPeftModelForSequenceClassification",local:"peft.AutoPeftModelForSequenceClassification",headingTag:"h2"}}),S=new b({props:{name:"class peft.AutoPeftModelForSequenceClassification",anchor:"peft.AutoPeftModelForSequenceClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/peft/blob/v0.8.2/src/peft/auto.py#L153"}}),D=new M({props:{title:"AutoPeftModelForTokenClassification",local:"peft.AutoPeftModelForTokenClassification",headingTag:"h2"}}),V=new b({props:{name:"class peft.AutoPeftModelForTokenClassification",anchor:"peft.AutoPeftModelForTokenClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/peft/blob/v0.8.2/src/peft/auto.py#L158"}}),H=new M({props:{title:"AutoPeftModelForQuestionAnswering",local:"peft.AutoPeftModelForQuestionAnswering",headingTag:"h2"}}),j=new b({props:{name:"class peft.AutoPeftModelForQuestionAnswering",anchor:"peft.AutoPeftModelForQuestionAnswering",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/peft/blob/v0.8.2/src/peft/auto.py#L163"}}),z=new M({props:{title:"AutoPeftModelForFeatureExtraction",local:"peft.AutoPeftModelForFeatureExtraction",headingTag:"h2"}}),O=new b({props:{name:"class peft.AutoPeftModelForFeatureExtraction",anchor:"peft.AutoPeftModelForFeatureExtraction",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/peft/blob/v0.8.2/src/peft/auto.py#L168"}}),{c(){c=d("meta"),J=r(),U=d("p"),K=r(),l(P.$$.fragment),W=r(),A=d("p"),A.innerHTML=ve,X=r(),l(F.$$.fragment),Y=r(),h=d("div"),l(w.$$.fragment),$e=r(),v=d("div"),l(_.$$.fragment),ce=r(),R=d("p"),R.innerHTML=be,Z=r(),l(y.$$.fragment),ee=r(),C=d("div"),l(L.$$.fragment),te=r(),l(T.$$.fragment),ae=r(),k=d("div"),l(q.$$.fragment),oe=r(),l(x.$$.fragment),re=r(),E=d("div"),l(S.$$.fragment),ne=r(),l(D.$$.fragment),le=r(),I=d("div"),l(V.$$.fragment),se=r(),l(H.$$.fragment),fe=r(),Q=d("div"),l(j.$$.fragment),ie=r(),l(z.$$.fragment),me=r(),N=d("div"),l(O.$$.fragment),pe=r(),B=d("p"),this.h()},l(e){const a=xe("svelte-u9bgzb",document.head);c=u(a,"META",{name:!0,content:!0}),a.forEach(t),J=n(e),U=u(e,"P",{}),g(U).forEach(t),K=n(e),s(P.$$.fragment,e),W=n(e),A=u(e,"P",{"data-svelte-h":!0}),ye(A)!=="svelte-m7nned"&&(A.innerHTML=ve),X=n(e),s(F.$$.fragment,e),Y=n(e),h=u(e,"DIV",{class:!0});var ue=g(h);s(w.$$.fragment,ue),$e=n(ue),v=u(ue,"DIV",{class:!0});var ge=g(v);s(_.$$.fragment,ge),ce=n(ge),R=u(ge,"P",{"data-svelte-h":!0}),ye(R)!=="svelte-hrva5q"&&(R.innerHTML=be),ge.forEach(t),ue.forEach(t),Z=n(e),s(y.$$.fragment,e),ee=n(e),C=u(e,"DIV",{class:!0});var Me=g(C);s(L.$$.fragment,Me),Me.forEach(t),te=n(e),s(T.$$.fragment,e),ae=n(e),k=u(e,"DIV",{class:!0});var Pe=g(k);s(q.$$.fragment,Pe),Pe.forEach(t),oe=n(e),s(x.$$.fragment,e),re=n(e),E=u(e,"DIV",{class:!0});var Ae=g(E);s(S.$$.fragment,Ae),Ae.forEach(t),ne=n(e),s(D.$$.fragment,e),le=n(e),I=u(e,"DIV",{class:!0});var Fe=g(I);s(V.$$.fragment,Fe),Fe.forEach(t),se=n(e),s(H.$$.fragment,e),fe=n(e),Q=u(e,"DIV",{class:!0});var we=g(Q);s(j.$$.fragment,we),we.forEach(t),ie=n(e),s(z.$$.fragment,e),me=n(e),N=u(e,"DIV",{class:!0});var _e=g(N);s(O.$$.fragment,_e),_e.forEach(t),pe=n(e),B=u(e,"P",{}),g(B).forEach(t),this.h()},h(){$(c,"name","hf:doc:metadata"),$(c,"content",Se),$(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(h,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,a){G(document.head,c),o(e,J,a),o(e,U,a),o(e,K,a),f(P,e,a),o(e,W,a),o(e,A,a),o(e,X,a),f(F,e,a),o(e,Y,a),o(e,h,a),f(w,h,null),G(h,$e),G(h,v),f(_,v,null),G(v,ce),G(v,R),o(e,Z,a),f(y,e,a),o(e,ee,a),o(e,C,a),f(L,C,null),o(e,te,a),f(T,e,a),o(e,ae,a),o(e,k,a),f(q,k,null),o(e,oe,a),f(x,e,a),o(e,re,a),o(e,E,a),f(S,E,null),o(e,ne,a),f(D,e,a),o(e,le,a),o(e,I,a),f(V,I,null),o(e,se,a),f(H,e,a),o(e,fe,a),o(e,Q,a),f(j,Q,null),o(e,ie,a),f(z,e,a),o(e,me,a),o(e,N,a),f(O,N,null),o(e,pe,a),o(e,B,a),de=!0},p:Le,i(e){de||(i(P.$$.fragment,e),i(F.$$.fragment,e),i(w.$$.fragment,e),i(_.$$.fragment,e),i(y.$$.fragment,e),i(L.$$.fragment,e),i(T.$$.fragment,e),i(q.$$.fragment,e),i(x.$$.fragment,e),i(S.$$.fragment,e),i(D.$$.fragment,e),i(V.$$.fragment,e),i(H.$$.fragment,e),i(j.$$.fragment,e),i(z.$$.fragment,e),i(O.$$.fragment,e),de=!0)},o(e){m(P.$$.fragment,e),m(F.$$.fragment,e),m(w.$$.fragment,e),m(_.$$.fragment,e),m(y.$$.fragment,e),m(L.$$.fragment,e),m(T.$$.fragment,e),m(q.$$.fragment,e),m(x.$$.fragment,e),m(S.$$.fragment,e),m(D.$$.fragment,e),m(V.$$.fragment,e),m(H.$$.fragment,e),m(j.$$.fragment,e),m(z.$$.fragment,e),m(O.$$.fragment,e),de=!1},d(e){e&&(t(J),t(U),t(K),t(W),t(A),t(X),t(Y),t(h),t(Z),t(ee),t(C),t(te),t(ae),t(k),t(oe),t(re),t(E),t(ne),t(le),t(I),t(se),t(fe),t(Q),t(ie),t(me),t(N),t(pe),t(B)),t(c),p(P,e),p(F,e),p(w),p(_),p(y,e),p(L),p(T,e),p(q),p(x,e),p(S),p(D,e),p(V),p(H,e),p(j),p(z,e),p(O)}}}const Se='{"title":"AutoPeftModels","local":"autopeftmodels","sections":[{"title":"AutoPeftModel","local":"peft.AutoPeftModel","sections":[],"depth":2},{"title":"AutoPeftModelForCausalLM","local":"peft.AutoPeftModelForCausalLM","sections":[],"depth":2},{"title":"AutoPeftModelForSeq2SeqLM","local":"peft.AutoPeftModelForSeq2SeqLM","sections":[],"depth":2},{"title":"AutoPeftModelForSequenceClassification","local":"peft.AutoPeftModelForSequenceClassification","sections":[],"depth":2},{"title":"AutoPeftModelForTokenClassification","local":"peft.AutoPeftModelForTokenClassification","sections":[],"depth":2},{"title":"AutoPeftModelForQuestionAnswering","local":"peft.AutoPeftModelForQuestionAnswering","sections":[],"depth":2},{"title":"AutoPeftModelForFeatureExtraction","local":"peft.AutoPeftModelForFeatureExtraction","sections":[],"depth":2}],"depth":1}';function De(he){return Te(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class je extends ke{constructor(c){super(),qe(this,c,De,Ee,Ce,{})}}export{je as component};
